package com.sunxung.factoring.entity.project;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.sunxung.factoring.entity.BaseEntity;
import com.sunxung.factoring.entity.project.vo.*;

import java.math.BigDecimal;
import java.util.List;

/**
 * <p>
 * 项目核心企业审核
 * </p>
 *
 * @author liutao
 * @since 2023-12-15
 */
@TableName("project_core_enterprise_audit")
public class ProjectCoreEnterpriseAudit extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /**
     * c端 项目核心企业id
     */
    @TableField("c_project_core_enterprise_id")
    private Long cProjectCoreEnterpriseId;

    /**
     * 企业性质 0-大陆企业，1-社会组织 ，3-中国香港公司，4-事业单位，5-中国台湾公司，7-医院，8-海外公司，9-律师事务所，10-学校 ，11-机关单位，-1-其他
     */
    @TableField("enterprise_nature")
    private String enterpriseNature;

    /**
     * 上市公司类型
     */
    @TableField("enterprise_nature_detail")
    private String enterpriseNatureDetail;

    /**
     * 控股比例
     */
    @TableField("holding_ratio")
    private String holdingRatio;

    /**
     * 股权层级
     */
    @TableField("equity_hierarchy")
    private String equityHierarchy;

    /**
     * 股权层级小类
     */
    @TableField("equity_hierarchy_detail")
    private String equityHierarchyDetail;

    /**
     * 信用评级
     */
    @TableField("credit_rating")
    private String creditRating;

    /**
     * 历史涉诉数量准入 0否 1 是
     */
    @TableField("involving_litigation_access")
    private Integer involvingLitigationAccess;

    /**
     * 行政处罚数量准入 0否 1 是
     */
    @TableField("administrative_penalty_access")
    private Integer administrativePenaltyAccess;

    /**
     * 行政处罚金额准入 0否 1 是
     */
    @TableField("administrative_penalty_amount_access")
    private Integer administrativePenaltyAmountAccess;

    /**
     * 环保处罚金额准入 0否 1 是
     */
    @TableField("environmental_penalty_amount_access")
    private Integer environmentalPenaltyAmountAccess;

    /**
     * 评估意见
     */
    @TableField("evaluation_opinions")
    private String evaluationOpinions;

    /**
     * taskId
     */
    @TableField(exist = false)
    private String taskId;

    /**
     * 项目核心企业信息
     */
    @TableField(exist = false)
    private ProjectCoreEnterprise projectCoreEnterprise;

    /**
     * 历史涉诉数量
     */
    @TableField(exist = false)
    private Long involvingLitigationAccessCcount;

    /**
     * 行政处罚数量
     */
    @TableField(exist = false)
    private Long administrativePenaltyAccessCcount;

    /**
     * 行政处罚金额
     */
    @TableField(exist = false)
    private BigDecimal administrativePenaltyAmount;

    /**
     * 环保处罚金额
     */
    @TableField(exist = false)
    private BigDecimal environmentalPenaltyAmount;

    /**
     * 实控人
     */
    @TableField(exist = false)
    private List<CActualControllerList> actualControllerList;

    @TableField(exist = false)
    private List<CEquityFreezeData> equityFreezeDataList;
    @TableField(exist = false)
    private List<CJudgmentDocuments> privateLendings;
    @TableField(exist = false)
    private List<CJudgmentDocuments> majorAnomalies;
    @TableField(exist = false)
    private List<CSeriousIllegalData> seriousIllegalData;
    @TableField(exist = false)
    private List<CTaxOweNoticeData> taxOweNoticeData;
    @TableField(exist = false)
    private List<CTaxIllegalData> taxIllegalData;
    @TableField(exist = false)
    private List<CBlacklist> blacklists;
    @TableField(exist = false)
    private List<CExceptionData> exceptionData;
    @TableField(exist = false)
    private List<CNews> news;

    @TableField(exist = false)
    private List<ProjectCoreEnterprisePrivateLending> projectCoreEnterprisePrivateLendingList;
    @TableField(exist = false)
    private List<ProjectCoreEnterpriseEquityFreeze> projectCoreEnterpriseEquityFreezeList;
    @TableField(exist = false)
    private List<ProjectCoreEnterpriseMajorAbnormalLitigation> projectCoreEnterpriseMajorAbnormalLitigationList;
    @TableField(exist = false)
    private List<ProjectCoreEnterpriseSeriousIllegality> projectCoreEnterpriseSeriousIllegalityList;
    @TableField(exist = false)
    private List<ProjectCoreEnterpriseTaxOweNotice> projectCoreEnterpriseTaxOweNoticeList;
    @TableField(exist = false)
    private List<ProjectCoreEnterpriseTaxIllegalData> projectCoreEnterpriseTaxIllegalDataList;
    @TableField(exist = false)
    private List<ProjectCoreEnterpriseBlacklist> projectCoreEnterpriseBlacklistList;
    @TableField(exist = false)
    private List<ProjectCoreEnterpriseExceptionData> projectCoreEnterpriseExceptionDataList;
    @TableField(exist = false)
    private List<ProjectCoreEnterpriseNews> projectCoreEnterpriseNewsList;
    @TableField(exist = false)
    private ProjectCoreEnterpriseComprehensiveEvaluation projectCoreEnterpriseComprehensiveEvaluations;

    public String getTaskId() {
        return taskId;
    }

    public void setTaskId(String taskId) {
        this.taskId = taskId;
    }

    public ProjectCoreEnterpriseComprehensiveEvaluation getProjectCoreEnterpriseComprehensiveEvaluations() {
        return projectCoreEnterpriseComprehensiveEvaluations;
    }

    public void setProjectCoreEnterpriseComprehensiveEvaluations(ProjectCoreEnterpriseComprehensiveEvaluation projectCoreEnterpriseComprehensiveEvaluations) {
        this.projectCoreEnterpriseComprehensiveEvaluations = projectCoreEnterpriseComprehensiveEvaluations;
    }

    public List<ProjectCoreEnterprisePrivateLending> getProjectCoreEnterprisePrivateLendingList() {
        return projectCoreEnterprisePrivateLendingList;
    }

    public void setProjectCoreEnterprisePrivateLendingList(List<ProjectCoreEnterprisePrivateLending> projectCoreEnterprisePrivateLendingList) {
        this.projectCoreEnterprisePrivateLendingList = projectCoreEnterprisePrivateLendingList;
    }

    public List<ProjectCoreEnterpriseEquityFreeze> getProjectCoreEnterpriseEquityFreezeList() {
        return projectCoreEnterpriseEquityFreezeList;
    }

    public void setProjectCoreEnterpriseEquityFreezeList(List<ProjectCoreEnterpriseEquityFreeze> projectCoreEnterpriseEquityFreezeList) {
        this.projectCoreEnterpriseEquityFreezeList = projectCoreEnterpriseEquityFreezeList;
    }

    public List<ProjectCoreEnterpriseMajorAbnormalLitigation> getProjectCoreEnterpriseMajorAbnormalLitigationList() {
        return projectCoreEnterpriseMajorAbnormalLitigationList;
    }

    public void setProjectCoreEnterpriseMajorAbnormalLitigationList(List<ProjectCoreEnterpriseMajorAbnormalLitigation> projectCoreEnterpriseMajorAbnormalLitigationList) {
        this.projectCoreEnterpriseMajorAbnormalLitigationList = projectCoreEnterpriseMajorAbnormalLitigationList;
    }

    public List<ProjectCoreEnterpriseSeriousIllegality> getProjectCoreEnterpriseSeriousIllegalityList() {
        return projectCoreEnterpriseSeriousIllegalityList;
    }

    public void setProjectCoreEnterpriseSeriousIllegalityList(List<ProjectCoreEnterpriseSeriousIllegality> projectCoreEnterpriseSeriousIllegalityList) {
        this.projectCoreEnterpriseSeriousIllegalityList = projectCoreEnterpriseSeriousIllegalityList;
    }

    public List<ProjectCoreEnterpriseTaxOweNotice> getProjectCoreEnterpriseTaxOweNoticeList() {
        return projectCoreEnterpriseTaxOweNoticeList;
    }

    public void setProjectCoreEnterpriseTaxOweNoticeList(List<ProjectCoreEnterpriseTaxOweNotice> projectCoreEnterpriseTaxOweNoticeList) {
        this.projectCoreEnterpriseTaxOweNoticeList = projectCoreEnterpriseTaxOweNoticeList;
    }

    public List<ProjectCoreEnterpriseTaxIllegalData> getProjectCoreEnterpriseTaxIllegalDataList() {
        return projectCoreEnterpriseTaxIllegalDataList;
    }

    public void setProjectCoreEnterpriseTaxIllegalDataList(List<ProjectCoreEnterpriseTaxIllegalData> projectCoreEnterpriseTaxIllegalDataList) {
        this.projectCoreEnterpriseTaxIllegalDataList = projectCoreEnterpriseTaxIllegalDataList;
    }

    public List<ProjectCoreEnterpriseBlacklist> getProjectCoreEnterpriseBlacklistList() {
        return projectCoreEnterpriseBlacklistList;
    }

    public void setProjectCoreEnterpriseBlacklistList(List<ProjectCoreEnterpriseBlacklist> projectCoreEnterpriseBlacklistList) {
        this.projectCoreEnterpriseBlacklistList = projectCoreEnterpriseBlacklistList;
    }

    public List<ProjectCoreEnterpriseExceptionData> getProjectCoreEnterpriseExceptionDataList() {
        return projectCoreEnterpriseExceptionDataList;
    }

    public void setProjectCoreEnterpriseExceptionDataList(List<ProjectCoreEnterpriseExceptionData> projectCoreEnterpriseExceptionDataList) {
        this.projectCoreEnterpriseExceptionDataList = projectCoreEnterpriseExceptionDataList;
    }

    public List<ProjectCoreEnterpriseNews> getProjectCoreEnterpriseNewsList() {
        return projectCoreEnterpriseNewsList;
    }

    public void setProjectCoreEnterpriseNewsList(List<ProjectCoreEnterpriseNews> projectCoreEnterpriseNewsList) {
        this.projectCoreEnterpriseNewsList = projectCoreEnterpriseNewsList;
    }

    public Long getInvolvingLitigationAccessCcount() {
        return involvingLitigationAccessCcount;
    }

    public void setInvolvingLitigationAccessCcount(Long involvingLitigationAccessCcount) {
        this.involvingLitigationAccessCcount = involvingLitigationAccessCcount;
    }

    public Long getAdministrativePenaltyAccessCcount() {
        return administrativePenaltyAccessCcount;
    }

    public void setAdministrativePenaltyAccessCcount(Long administrativePenaltyAccessCcount) {
        this.administrativePenaltyAccessCcount = administrativePenaltyAccessCcount;
    }

    public BigDecimal getAdministrativePenaltyAmount() {
        return administrativePenaltyAmount;
    }

    public void setAdministrativePenaltyAmount(BigDecimal administrativePenaltyAmount) {
        this.administrativePenaltyAmount = administrativePenaltyAmount;
    }

    public BigDecimal getEnvironmentalPenaltyAmount() {
        return environmentalPenaltyAmount;
    }

    public void setEnvironmentalPenaltyAmount(BigDecimal environmentalPenaltyAmount) {
        this.environmentalPenaltyAmount = environmentalPenaltyAmount;
    }

    public List<CActualControllerList> getActualControllerList() {
        return actualControllerList;
    }

    public void setActualControllerList(List<CActualControllerList> actualControllerList) {
        this.actualControllerList = actualControllerList;
    }

    public List<CEquityFreezeData> getEquityFreezeDataList() {
        return equityFreezeDataList;
    }

    public void setEquityFreezeDataList(List<CEquityFreezeData> equityFreezeDataList) {
        this.equityFreezeDataList = equityFreezeDataList;
    }

    public List<CJudgmentDocuments> getPrivateLendings() {
        return privateLendings;
    }

    public void setPrivateLendings(List<CJudgmentDocuments> privateLendings) {
        this.privateLendings = privateLendings;
    }

    public List<CJudgmentDocuments> getMajorAnomalies() {
        return majorAnomalies;
    }

    public void setMajorAnomalies(List<CJudgmentDocuments> majorAnomalies) {
        this.majorAnomalies = majorAnomalies;
    }

    public List<CSeriousIllegalData> getSeriousIllegalData() {
        return seriousIllegalData;
    }

    public void setSeriousIllegalData(List<CSeriousIllegalData> seriousIllegalData) {
        this.seriousIllegalData = seriousIllegalData;
    }

    public List<CTaxOweNoticeData> getTaxOweNoticeData() {
        return taxOweNoticeData;
    }

    public void setTaxOweNoticeData(List<CTaxOweNoticeData> taxOweNoticeData) {
        this.taxOweNoticeData = taxOweNoticeData;
    }

    public List<CTaxIllegalData> getTaxIllegalData() {
        return taxIllegalData;
    }

    public void setTaxIllegalData(List<CTaxIllegalData> taxIllegalData) {
        this.taxIllegalData = taxIllegalData;
    }

    public List<CBlacklist> getBlacklists() {
        return blacklists;
    }

    public void setBlacklists(List<CBlacklist> blacklists) {
        this.blacklists = blacklists;
    }

    public List<CExceptionData> getExceptionData() {
        return exceptionData;
    }

    public void setExceptionData(List<CExceptionData> exceptionData) {
        this.exceptionData = exceptionData;
    }

    public List<CNews> getNews() {
        return news;
    }

    public void setNews(List<CNews> news) {
        this.news = news;
    }

    public ProjectCoreEnterprise getProjectCoreEnterprise() {
        return projectCoreEnterprise;
    }

    public void setProjectCoreEnterprise(ProjectCoreEnterprise projectCoreEnterprise) {
        this.projectCoreEnterprise = projectCoreEnterprise;
    }

    public Long getcProjectCoreEnterpriseId() {
        return cProjectCoreEnterpriseId;
    }

    public void setcProjectCoreEnterpriseId(Long cProjectCoreEnterpriseId) {
        this.cProjectCoreEnterpriseId = cProjectCoreEnterpriseId;
    }
    public String getEnterpriseNature() {
        return enterpriseNature;
    }

    public void setEnterpriseNature(String enterpriseNature) {
        this.enterpriseNature = enterpriseNature;
    }
    public String getEnterpriseNatureDetail() {
        return enterpriseNatureDetail;
    }

    public void setEnterpriseNatureDetail(String enterpriseNatureDetail) {
        this.enterpriseNatureDetail = enterpriseNatureDetail;
    }
    public String getHoldingRatio() {
        return holdingRatio;
    }

    public void setHoldingRatio(String holdingRatio) {
        this.holdingRatio = holdingRatio;
    }
    public String getEquityHierarchy() {
        return equityHierarchy;
    }

    public void setEquityHierarchy(String equityHierarchy) {
        this.equityHierarchy = equityHierarchy;
    }
    public String getEquityHierarchyDetail() {
        return equityHierarchyDetail;
    }

    public void setEquityHierarchyDetail(String equityHierarchyDetail) {
        this.equityHierarchyDetail = equityHierarchyDetail;
    }
    public String getCreditRating() {
        return creditRating;
    }

    public void setCreditRating(String creditRating) {
        this.creditRating = creditRating;
    }
    public Integer getInvolvingLitigationAccess() {
        return involvingLitigationAccess;
    }

    public void setInvolvingLitigationAccess(Integer involvingLitigationAccess) {
        this.involvingLitigationAccess = involvingLitigationAccess;
    }
    public Integer getAdministrativePenaltyAccess() {
        return administrativePenaltyAccess;
    }

    public void setAdministrativePenaltyAccess(Integer administrativePenaltyAccess) {
        this.administrativePenaltyAccess = administrativePenaltyAccess;
    }
    public Integer getAdministrativePenaltyAmountAccess() {
        return administrativePenaltyAmountAccess;
    }

    public void setAdministrativePenaltyAmountAccess(Integer administrativePenaltyAmountAccess) {
        this.administrativePenaltyAmountAccess = administrativePenaltyAmountAccess;
    }
    public Integer getEnvironmentalPenaltyAmountAccess() {
        return environmentalPenaltyAmountAccess;
    }

    public void setEnvironmentalPenaltyAmountAccess(Integer environmentalPenaltyAmountAccess) {
        this.environmentalPenaltyAmountAccess = environmentalPenaltyAmountAccess;
    }
    public String getEvaluationOpinions() {
        return evaluationOpinions;
    }

    public void setEvaluationOpinions(String evaluationOpinions) {
        this.evaluationOpinions = evaluationOpinions;
    }

    @Override
    public String toString() {
        return "ProjectCoreEnterpriseAudit{" +
            "cProjectCoreEnterpriseId=" + cProjectCoreEnterpriseId +
            ", enterpriseNature=" + enterpriseNature +
            ", enterpriseNatureDetail=" + enterpriseNatureDetail +
            ", holdingRatio=" + holdingRatio +
            ", equityHierarchy=" + equityHierarchy +
            ", equityHierarchyDetail=" + equityHierarchyDetail +
            ", creditRating=" + creditRating +
            ", involvingLitigationAccess=" + involvingLitigationAccess +
            ", administrativePenaltyAccess=" + administrativePenaltyAccess +
            ", administrativePenaltyAmountAccess=" + administrativePenaltyAmountAccess +
            ", environmentalPenaltyAmountAccess=" + environmentalPenaltyAmountAccess +
            ", evaluationOpinions=" + evaluationOpinions +
        "}";
    }
}
